# List all Tags

Returns all custom tags used throughout the system for categorization, filtering, and segmentation of people, projects, or clients.

Endpoint: GET /v1/tags
Version: v1
Security: ApiKey

## Response 200 fields (application/json):

  - `tags` (array)
    List of tags.
Tag names are structured as `CATEGORY::TAG_NAME`, with a `::` separating the category and tag name. Category names will be returned with `::` in their name.
**Example**: `Skills::` would indicate a category named skills. Further, `Skills::ActionScript` would indicate a tag named `ActionScript` within the `Skills` category.
New category and tag names may not start or end with whitespace, so creating `Skills:: ActionScript` is rejected. Whitespace within a name is allowed: `Front End::Dust Bringer` is valid.

## Response 400 fields (application/json):

  - `type` (string)
    RFC reference for the error type

  - `title` (string)
    Human-readable summary of the error

  - `status` (integer)
    HTTP status code

  - `errors` (array)
    Detailed error messages for each validation failure

  - `trace_id` (string)
    Trace identifier for debugging

